Bug 977148 - Scaled, non-web framework cartridges are not reported correctly via rhc-list-ports
Scaled, non-web framework cartridges are not reported correctly via rhc-list-...
Status: CLOSED UPSTREAM
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
: UpcomingRelease, Upstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 15:14 EDT by Clayton Coleman
Modified: 2015-05-14 19:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-12 17:32:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2013-06-23 15:14:43 EDT
rhc-list-ports should correctly list all of the exposed TCP endpoints for scaled, non web-cartridges from the head gear.  If this is blocked by scaled db cartridges being unable to report multiple environment variables, then we need to transition this to a call to the broker to fetch the complete cart/port/host mapping for all gears via the story in the HA epic.

Scenario:

1. rhc create-app foo php-5 -s
2. rhc add-cartridge -a foo "http://cartreflect-claytondev.rhcloud.com/reflect?github=smarterclayton/openshift-redis-cart&commit=0.1.0"
3. rhc scale-cartridge redis -a foo 2
4. ssh to head gear
5. run rhc-list-ports

Expected:

rhc-list-ports should list both scaled redis instances and their external ports.

Note You need to log in before you can comment on or make changes to this bug.